Bug 1309217 - "kubectl" should be "oc " in "oc create namespace/secret generic/secret docker-registry " and "oc convert" help info
"kubectl" should be "oc " in "oc create namespace/secret generic/secret docke...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Fabiano Franz
Xingxing Xia
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 04:07 EST by Wei Sun
Modified: 2016-09-19 09:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-19 09:53:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2016-02-17 04:07:01 EST
Description of problem:
Check "oc create namespace -h" help info,there is:
Examples:
  # Create a new namespace named my-namespace
  $ kubectl create namespace my-namespace


"kubectl create" should be "oc create" in "oc create namespace " help info

Version-Release number of selected component (if applicable):
$ oc version
oc v3.1.1.902
kubernetes v1.2.0-origin


How reproducible:
Always

Steps to Reproduce:
1.oc create namespace -h
2.
3.

Actual results:
$ oc create namespace -h
Create a namespace with the specified name.

Usage:
  oc create namespace NAME [--dry-run] [options]

Examples:
  # Create a new namespace named my-namespace
  $ kubectl create namespace my-namespace

Options:
      --dry-run=false: If true, only print the object that would be sent, without sending it.
      --generator='namespace/v1': The name of the API generator to use.
  -o, --output='': Output format. One of: json|yaml|wide|name|go-template=...|go-template-file=...|jsonpath=...|jsonpath-file=... See golang template [http://golang.org/pkg/text/template/#pkg-overview] and jsonpath template [http://releases.k8s.io/HEAD/docs/user-guide/jsonpath.md].
      --output-version='': Output the formatted object with the given version (default api-version).
      --save-config=false: If true, the configuration of current object will be saved in its annotation. This is useful when you want to perform kubectl apply on this object in the future.
      --schema-cache-dir='~/.kube/schema': If non-empty, load/store cached API schemas in this directory, default is '$HOME/.kube/schema'
      --validate=false: If true, use a schema to validate the input before sending it

Use "oc options" for a list of global command-line options (applies to all commands).


Expected results:


Additional info:
Comment 1 Wei Sun 2016-02-17 04:30:36 EST
oc convert -h
oc create secret generic -h
oc create secret docker-registry -h

Also have the same issues.

"kubectl" should be "oc" in these oc commands help info.
Comment 2 Fabiano Franz 2016-07-04 22:44:15 EDT
Fixed in master, oc convert examples fixed in https://github.com/openshift/origin/pull/9695.
Comment 3 Yanping Zhang 2016-07-05 02:11:25 EDT
$ oc version
oc v1.3.0-alpha.2-368-g6fe8452
kubernetes v1.3.0-alpha.3-599-g2746284
Tested on devenv-rhel7_4512, the issue in "oc create namespace -h", "oc create secret generic -h", and "oc create secret docker-registry -h" have been fixed.
Wait for pr 9695 being merged to check "oc convert -h"
Comment 4 Fabiano Franz 2016-07-06 14:44:21 EDT
Fix for "oc convert -h" merged.
Comment 5 Yanping Zhang 2016-07-07 02:33:44 EDT
Tested on devenv_rhel7_4535
# oc version
oc v1.3.0-alpha.2-1028-g128e499
kubernetes v1.3.0-alpha.3-599-g2746284

There is still "kubectl" command in the help info:

# oc convert -h
<--snip-->
# Convert all files under current directory to latest version and create them all.
oc convert -f . | kubectl create -f -
<--snip-->

Assign the bug back. Please have a check again.
Comment 6 Fabiano Franz 2016-07-07 10:46:51 EDT
My bad, missed that one. Fixed in https://github.com/openshift/origin/pull/9729.
Comment 7 Yanping Zhang 2016-07-08 02:26:54 EDT
Tested on devenv_rhel7_4545
oc v1.3.0-alpha.2-1063-g3123cb5

Now there is no kubectl in "oc convert -h", the bug has been fixed, so move it to Verified.

Note You need to log in before you can comment on or make changes to this bug.